org.jbpm.marshalling.impl

## Class AbstractProcessInstanceMarshaller

- java.lang.Object
- - org.jbpm.marshalling.impl.AbstractProcessInstanceMarshaller

- All Implemented Interfaces:
    ProcessInstanceMarshaller
  Direct Known Subclasses:
    RuleFlowProcessInstanceMarshaller

      public abstract class AbstractProcessInstanceMarshaller
      extends Object
      implements ProcessInstanceMarshaller

  Default implementation of a process instance marshaller.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractProcessInstanceMarshaller()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract WorkflowProcessInstanceImpl` | `createProcessInstance()`
    `org.kie.api.runtime.process.NodeInstance` | `readNodeInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context, org.kie.api.runtime.process.NodeInstanceContainer nodeInstanceContainer, org.kie.api.runtime.process.WorkflowProcessInstance processInstance)`
    `protected NodeInstanceImpl` | `readNodeInstanceContent(int nodeType, org.drools.core.marshalling.impl.MarshallerReaderContext context, org.kie.api.runtime.process.WorkflowProcessInstance processInstance)`
    `org.kie.api.runtime.process.ProcessInstance` | `readProcessInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context)`
    `Object` | `writeNodeInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context, org.kie.api.runtime.process.NodeInstance nodeInstance)`
    `protected void` | `writeNodeInstanceContent(org.drools.core.marshalling.impl.MarshallerWriteContext stream, org.kie.api.runtime.process.NodeInstance nodeInstance, org.drools.core.marshalling.impl.MarshallerWriteContext context)`
    `Object` | `writeProcessInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context, org.kie.api.runtime.process.ProcessInstance processInstance)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractProcessInstanceMarshaller

          public AbstractProcessInstanceMarshaller()

  - ### Method Detail

    - #### writeProcessInstance

          public Object writeProcessInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                             org.kie.api.runtime.process.ProcessInstance processInstance)
                                      throws IOException

      Specified by:
        `writeProcessInstance` in interface `ProcessInstanceMarshaller`
      Throws:
        `IOException`

    - #### writeNodeInstance

          public Object writeNodeInstance(org.drools.core.marshalling.impl.MarshallerWriteContext context,
                                          org.kie.api.runtime.process.NodeInstance nodeInstance)
                                   throws IOException

      Specified by:
        `writeNodeInstance` in interface `ProcessInstanceMarshaller`
      Throws:
        `IOException`

    - #### writeNodeInstanceContent

          protected void writeNodeInstanceContent(org.drools.core.marshalling.impl.MarshallerWriteContext stream,
                                                  org.kie.api.runtime.process.NodeInstance nodeInstance,
                                                  org.drools.core.marshalling.impl.MarshallerWriteContext context)
                                           throws IOException

      Throws:
        `IOException`

    - #### readProcessInstance

          public org.kie.api.runtime.process.ProcessInstance readProcessInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context)
                                                                          throws IOException

      Specified by:
        `readProcessInstance` in interface `ProcessInstanceMarshaller`
      Throws:
        `IOException`

    - #### createProcessInstance

          protected abstract WorkflowProcessInstanceImpl createProcessInstance()

    - #### readNodeInstance

          public org.kie.api.runtime.process.NodeInstance readNodeInstance(org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                                           org.kie.api.runtime.process.NodeInstanceContainer nodeInstanceContainer,
                                                                           org.kie.api.runtime.process.WorkflowProcessInstance processInstance)
                                                                    throws IOException

      Specified by:
        `readNodeInstance` in interface `ProcessInstanceMarshaller`
      Throws:
        `IOException`

    - #### readNodeInstanceContent

          protected NodeInstanceImpl readNodeInstanceContent(int nodeType,
                                                             org.drools.core.marshalling.impl.MarshallerReaderContext context,
                                                             org.kie.api.runtime.process.WorkflowProcessInstance processInstance)
                                                      throws IOException

      Throws:
        `IOException`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.